<template>
    <div class="container-user">
        <div class="user-details">
            <p class="id">
                ID : {{ id }}
            </p>
            <p class="username">
                Name : {{ name }} 
            </p>
            <p class="email">
                Capacity : {{ capacity }} 
            </p>
            <p class="email">
                Lang : {{ lang }} 
            </p>
            <p class="createdAt">
                Created By : {{ createdBy }} 
            </p>
            <p class="nbr-projects">
                Number of users : 
                <span class="projects-count">
                    {{ usersLength }}
                </span>
            </p>                
        </div>
    </div>
</template>

<script>
export default {
    name: 'ProjectCard',
    props: ['index', 'id', 'name', 'capacity', 'lang', 'createdBy', 'users', 'role', 'edit', 'usersLength'],
    computed: {
    },
    methods: {
    },
    mounted() {
    }
}
</script>

<style scoped>
.container-user {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 12px;
    color:black;
    border-radius: 20px;
    border: 6px solid var(--color-primary-pink);
    width: 50%;
    margin: 0px 20px;
}

p {
    text-align: left;
    font-weight: bold;
}
</style>
